### Method

# Gsk GLShader format_args

deprecated: 4.16

#### Declaration [src]

    GBytes*
    gsk_gl_shader_format_args (
      GskGLShader* shader,
      ...
    )

#### Description [src]

Formats the uniform data as needed for feeding the named uniforms values into the shader.

The argument list is a list of pairs of names, and values for the types that match the declared uniforms (i.e. double/int/guint/gboolean for primitive values and `graphene_vecN_t *` for vecN uniforms).

Any uniforms of the shader that are not included in the argument list are zero-initialized.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

This method is not directly available to language bindings.

#### Parameters

`...`

  Type: ``

  Name-Value pairs for the uniforms of `shader`, ending with a `NULL` name.

#### Return value

Type: `GBytes`

A newly allocated block of data which can be passed to `gsk_gl_shader_node_new()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.